Core - Task # 55672

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:

Created: 2014-02-04 Assigned To: Anja Leichsenring
Updated: 2014-02-24 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: info entry script cleanup

Description

mod1/index.php uses init.php

Subtasks:

Task # 55796: Adjust indexed seach submodules of web_info to mod dispatcher Resolved
Task # 55797: Use mod dispatch on indexed search submodules for web_info Resolved
Related issues:

related to Core - Task # 56364: Redirect after switch-to-user broken Resolved 2014-02-27

Associated revisions

Revision 69408211 - 2014-02-24 21:15 - Anja Leichsenring

[TASK] Switch info and func module to mod dispatcher

BE modules info and func now uses mod.php.

Changing the entry script for func and info module
will cause integrated submodules to fail in

case they use the old entry point index.php

with a relative path somewhere in funcMenu or in

other links or actions.

A compatibility layer is introduced in
typo3/index.php to catch those old
links and redirect to mod.php with proper parameters.

Change-Id: 183d31b6004ae3556dd8bf7c5c47b0fea39aaad55
Resolves: #55809

Resolves: #55672

Resolves: #55670

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/27508

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
https://review.typo3.org/27508

History

#1 - 2014-02-08 19:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rq/27478

#2 - 2014-02-08 20:09 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27478

#3 - 2014-02-09 13:16 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27508

#4 - 2014-02-09 15:08 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27508

#5 - 2014-02-09 16:24 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#6 - 2014-02-10 15:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27508

#7 - 2014-02-10 22:07 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27508

#8 - 2014-02-10 22:15 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508
#9 - 2014-02-10 23:39 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27508

#10 - 2014-02-10 23:52 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27508

#11 - 2014-02-11 00:34 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27508

#12 - 2014-02-24 19:28 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27508

#13 - 2014-02-24 21:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:69408211e47283cb50ae8896101e05de42963a7a.

#14 - 2014-02-24 21:30 - Gerrit Code Review
- Estimated time changed from 0.00 to 3.00
